//package com.ruoyi.tast.controller;
//
//import io.netty.bootstrap.ServerBootstrap;
//import io.netty.channel.Channel;
//import io.netty.channel.ChannelFuture;
//import io.netty.channel.ChannelOption;
//import io.netty.channel.EventLoopGroup;
//import io.netty.channel.nio.NioEventLoopGroup;
//import io.netty.channel.socket.nio.NioServerSocketChannel;
//import org.slf4j.Logger;
//import org.slf4j.LoggerFactory;
//import org.springframework.amqp.rabbit.core.RabbitTemplate;
//import org.springframework.stereotype.Component;
//
//import java.net.InetSocketAddress;
//@Component("nettyServer")
//public class NettyServer {
//
//    private Logger logger = LoggerFactory.getLogger(NettyServer.class);
//
//    private final EventLoopGroup parentGroup = new NioEventLoopGroup();
//    private final EventLoopGroup childGroup = new NioEventLoopGroup();
//    private Channel channel;
//    private final RabbitTemplate rabbitTemplate;
//    public NettyServer(RabbitTemplate rabbitTemplate) {
//        this.rabbitTemplate = rabbitTemplate;
//    }
//
//    /**
//     * 绑定端口
//     * @param address
//     * @return
//     */
//    public ChannelFuture bind(InetSocketAddress address) {
//        ChannelFuture channelFuture = null;
//        try {
//            ServerBootstrap b = new ServerBootstrap();
//            b.group(parentGroup, childGroup)
//                    .channel(NioServerSocketChannel.class)    //非阻塞模式
//                    .option(ChannelOption.SO_BACKLOG, 128)
//                    .childHandler(new MyChannelInitializer(rabbitTemplate));
//            channelFuture = b.bind(address).syncUninterruptibly();
//            channel = channelFuture.channel();
//        } catch (Exception e) {
//            logger.error(e.getMessage());
//        } finally {
//            if (null != channelFuture && channelFuture.isSuccess()) {
//                logger.info("netty server start done.");
//            } else {
//                logger.error("netty server start error.");
//            }
//        }
//        return channelFuture;
//    }
//
//
//    /**
//     * 销毁
//     */
//    public void destroy() {
//        if (null == channel) return;
//        channel.close();
//        parentGroup.shutdownGracefully();
//        childGroup.shutdownGracefully();
//    }
//
//
//    /**
//     * 获取通道
//     * @return
//     */
//    public Channel getChannel() {
//        return channel;
//    }
//
//}
