package com.ruoyi.tast.mysingleton;

import com.ruoyi.tast.domain.VehicleMessage;

import java.util.HashMap;
public class MySingletonHashMap {

    private static MySingletonHashMap instance;  // 保存 HashMap 实例的变量
    private HashMap<String, VehicleMessage> hashMap;  // 实际保存数据的 HashMap

    private MySingletonHashMap() {
        hashMap = new HashMap<String, VehicleMessage>();
    }

    public synchronized static MySingletonHashMap getInstance() {
        if (instance == null) {  // 如果实例变量为空，则创建一个新的实例
            instance = new MySingletonHashMap();
        }
        return instance;
    }

    public void put(String key, VehicleMessage value) {
        hashMap.put(key, value);
    }

    public VehicleMessage get(String key) {
        return hashMap.get(key);
    }

}
