package com.ruoyi.tast.service.impl;

import com.alibaba.fastjson2.JSON;
import com.ruoyi.common.redis.service.RedisService;
import com.ruoyi.tast.config.RedisConstant;
import com.ruoyi.tast.domain.*;
import com.ruoyi.tast.mapper.CarMapper;
import com.ruoyi.tast.service.CarService;
import org.springframework.amqp.rabbit.core.RabbitTemplate;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.redis.core.RedisTemplate;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.Collection;
import java.util.List;
import java.util.Set;

@Service
public class CarServiceImpl implements CarService {

    @Autowired
    private CarMapper carMapper;
    @Autowired
    private RabbitTemplate rabbitTemplate;
    @Override
    public List<Car> carList(Car car) {
        return carMapper.carList(car);
    }

    @Override
    public List<Type> findByType() {
        return carMapper.findByType();
    }

    @Override
    public List<ElectronicFenceSetting> findByFence() {
        return carMapper.findByFence();
    }

    @Override
    public List<Firm> findByFirm() {
        return carMapper.findByFirm();
    }

    @Override
    public void addCar(Car car) {
        carMapper.addCar(car);
    }

    @Override
    public void deleteCar(Integer carId) {
        carMapper.deleteCar(carId);
    }

    @Override
    public Car findByCar(Integer carId) {
        return carMapper.findByCar(carId);
    }

    @Override
    public void updateCar(Car car) {
        carMapper.updateCar(car);
    }
    @Autowired
    private RedisService redisService;
    @Override
    public VehicleMessage getcar(String vinCode) {

        String s = redisService.getCacheObject("current_info:" + vinCode);

        VehicleMessage vehicleMessage = JSON.parseObject(s, VehicleMessage.class);

        return vehicleMessage;

    }

    @Override
    public List<Message> sendCar() {
        // 获取Redis中所有的键

        Set<String> keys = (Set<String>) redisService.keys("current_info:*");

//        Integer s = Integer.valueOf(redisTemplate.opsForValue().get(RedisConstant.VEHICLE_INFO_TOKEN + RedisConstant.CURRENT_DAY_FAULT));
//        Integer s2 = Integer.valueOf(redisTemplate.opsForValue().get(RedisConstant.VEHICLE_INFO_TOKEN + RedisConstant.CURRENT_MONTH_FAULT));
        Integer s = redisService.getCacheObject(RedisConstant.VEHICLE_INFO_TOKEN + RedisConstant.CURRENT_DAY_FAULT);
        Integer s2 = redisService.getCacheObject(RedisConstant.VEHICLE_INFO_TOKEN + RedisConstant.CURRENT_MONTH_FAULT);
        // 存储所有的值
        List<Message> list = new ArrayList<>();


        // 遍历每个键并获取对应的值
        for (String key : keys) {
            String value = redisService.getCacheObject(key);
            Message message = JSON.parseObject(value, Message.class);
            if (s != null) {
                message.setDayMalfunction(s);
            }
            if (s2 != null) {
                message.setMonthMalfunction(s2);
            }
            list.add(message);
        }
        return list;
    }

}
